Figure - Bug #116476
Status: CLOSED Start date: 2023-02-23
Priority: Normal Due date:

Assignee: gbooboo_cepTsbod % Done: 0%
Category: CD-FW Estimated time: 0.00 hour
Target version: VC1_FSE_0090_20230411

Need_Info: -- Found Version: 0075
Resolution: FIXED Degrated: -

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: MPUOMCUOOODODOOOOOOMPUO
Description

oooood

None

oooood

1.QfleD 0 MCUO O OODOSW
20000000

gooooo
200000MCUbD0boOoOoooooooOoDo

gooooo
2Mcub 0goooooobobooooo

History

#1-2023-02-2313:43-0 00000 _CDTSOO
- Subject changed from 0 BSPO O EVT3O O STO O MCUOMCUD OO OOOO0OOOO0O00OO0ODODO todBSPO OEVT3O OSTOOMCUOMCUD OO
00000000000000o

#2 - 2023-02-2411:16 - CD TPM-0 O O
- Target version set to VC1_FSE_0078_20230228

#3 - 2023-02-24 17:14 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
184067 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
m/apps/TCService -dev

AF:MCU-OTA:Add tips for MCU OTA and shutdown device after MCU OTA.1.If reboot MPU after MCU OTA done, MPU may be suddenlypowered off
during boot phase. So shutdown MPU to avoid this issue.2.Add tips for MCU OTA.3.Add or delete strings. TC-RID: 1201-0200401IssuelD:
TS-R-BUG-116476Change-1d: 133bed09661278ba3f749b3234859a8c79289h231
#4 - 2023-02-26 15:28-CD TPM-0 O O

- Status changed from New to RESOLVED

- Assignee changed fromCD TPM-O O 0 toOD O OO OO _CDTSOO

- Resolution changed from -- to FIXED
-RootcausesettoMCUO DU D OODOO0OD0OOOOODOODOODOODOODOODODOO

#5-2023-02-2716:00-0 00000 _CDTSO O

- Assignee changed from0 0 0000 _CDTSO O toCDTPM-O0 0 O

0000 O FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202302250116
goboogok
goooooogssboomMcudoooooooooooooMcuOoooooooooooooo0000 A0 toast

gooooMcuoOoOoOoOoOoOoOoOOOO0OO0OO0OO0O0OO0O0O00000000000O010s0000000000000
goooooooooboooon

goooooooooooooo

#6 - 2023-02-28 16:05- CD TPM-0 0 O
- Status changed from RESOLVED to ASSIGNED

Jo0000doooooooooogveOOOO
https://dev.thundercomm.com/gerrit/c/general/device/thundercomm/TCDEV/+/183347

#7 - 2023-03-07 09:48 - CD TPM-0 O O
- Target version changed from VC1_FSE_0078_20230228 to VC1_FSE_0086_20230328

#8 - 2023-03-09 09:35-CD TPM-0 O O

goooooomMmPUOOOMCUOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO

#9 - 2023-03-21 15:53 - 0T scm

Gerrit Merge Informationd

1D Project Branch Uploader
188354 general/platform/build Pre_figure_turbox-c2130c-lal.1-gssi12 | yepeng0322@thundersoft.com
-dev

BSP:OTA: Add MCU update images to MPU update package.Add MCU update images to MPU update package. TC-RID: 1201-0100805IssuelD:
TS-R-DF-116476Change-Id: 1bb57fb3e524091a54bb2fa24818bebdd76196cc8

#10 - 2023-03-2310:51-CD TPM-0 O O
- Target version changed from VC1_FSE_0086_20230328 to VC1_FSE_0090_ 20230411
https://dev.thundercomm.com/gerrit/c/general/device/thundercomm/TCDEV/+/183347

#11 - 2023-04-06 17:59 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

192037

general/platform/vendor/thundercom

m/apps/TestTools

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangxl0510@thundersoft.com

AF:MCU-OTA:Upgrade MCU with MPU OTA before reboot.If MPU OTA done, then upgrade MCU before reboot. TC-RID: 1201-0200401lssuelD:
TS-R-BUG-116476Change-1d: 1f153e69093669f891f61b9c97954e29c7f19683d

#12 - 2023-04-06 17:59 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

189643

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangxl0510@thundersoft.com

AF:OTA:Change group and add read/write permission of update.zip.Change group and add read/write permission of update.zip for unzip mcu files. TC-RID:
1201-0200401Issuel D: TS-R-BUG-116476Change-Id: 19068e143f3a305234d5129¢163827632dd2efd84

#13 - 2023-04-06 17:59 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

188480

general/platform/system/core

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wangxl0510@thundersoft.com

AF:OTA:Change group of data/ota folder.Change root group to system group.TC-RID: 1201-0200401IssuelD: TS-R-BUG-116476Change-I1d:
1158e969ff7567ef28dd7dbb543488f1d0af4bf23

#14 - 2023-04-06 18:00 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

187285

general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangxl0510@thundersoft.com

AF:MCU-OTA:Upgrade MCU with MPU OTA before reboot.If MPU OTA done, then upgrade MCU before reboot. TC-RID: 1201-0200401lssuelD:
TS-R-BUG-116476Change-1d: 1689e2738f1e07¢317cf23af705971a4b4bc79c7f

#15 - 2023-04-06 18:01 - IoT scm
Gerrit Merge Information(

1D Project Branch Uploader
187261 general/device/thundercomm/TCDEYV | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
-dev

AF:OTA:Add sepolicy for HHT OTA, TcService and TestTools. TC-RID: 1201-02004011ssuel D: TS-R-BUG-116476Change-1d:
14fd6075120cd25a665h2ae1920fa7b6448elcfee

#16 - 2023-04-06 18:04 - CD TPM-0 O O

- Subject changed from 0 BSPO O EVT3O O STO OMCUOMCUO OO OOOOOOOOODOOOODOD toOBSPOOEVT3O O STO OMCUO OTAO OO
gMCcuOooOoDOooooDooDooooooo

- Status changed from ASSIGNED to RESOLVED

-Rootcause changed fromMCUL O OO0 0O 0O0O0OOODOOOOOOOOODOOOOOOOO toMPUOMCUO OOOOOOOOOMPUOOOOOO
goooooooooooMcocuOobOOogooooooooMCcUOODOOODOOODOOOODOOOODOOODOOO

#17 - 2023-04-06 18:09 - CD TPM-0 O O

- Assignee changed fromCD TPM-0 0 0 to0 0 OO OO _CDTSO O

oo

000o0o00o0gO0odkese0OOOOOOOOOOODOOODOOOOODODOODOOODODOOOMCUOOOOO0O0O0O0O0O0O0O0O0O0O0O0O0O0O0O

#18-2023-04-1119:44-0 00000 _CDTSO O

oo D O0ooooomMcuOooooooooon

O00O0OOreleaseOMCUOOOOODOOOODO

#19 - 2023-04-2517:07 - SZTS_TEST O O

o000 D OTAD O DO OOo0040 0020 0000000 ODO0O0O0O0O0O0O0O0O0O0ObugD OO0

#20-2023-04-2518:34-0 00000 _CDTSO O

- Status changed from RESOLVED to VERIFIED

#21-2023-04-2518:35-0 0 0 000 _CDTSO O
- Status changed from VERIFIED to CLOSED
